Loading...
Searching...
No Matches
mkgeo_ugrid

## Variables

| verbose = false
str | command = "$*"
int | variant = $1; shift
int | n = $1; shift
int | sides = $1; shift;
int | boundary = $1; shift;
int | corner = $1; shift;
int | a = $1
int | b = $2
float | h = 1.0*(b-a)/n;
int | c = $3
int | d = $4
| Algorithm
int | f = $5
int | g = $6
int | dim = $1; shift
str | usage = "mkgeo_ugrid [-{eptqTPH}|-tq|-TP|-PH|-TPH] [n] [-{abcdfg} float] [-[no]sides] [-[no]boundary] [-[no]corner] [-order int] [-[no]clean] [-[no]verbose]"
| clean = true
str | bindir = ""
int | order = 1
| var
str | expr = "$var=$2"
str | tmp = "/tmp/tmp$$"
str | MSH2GEO = "${bindir}msh2geo"
str | GEO = "${bindir}geo"

## Variable Documentation

## verbose

verbose = false

Definition at line 164 of file mkgeo_ugrid.sh.

## command

str command = "$*"

Definition at line 166 of file mkgeo_ugrid.sh.

## variant

int variant = $1; shift

Definition at line 178 of file mkgeo_ugrid.sh.

## n

int n = $1; shift

Definition at line 179 of file mkgeo_ugrid.sh.

## sides

int sides = $1; shift;

Definition at line 180 of file mkgeo_ugrid.sh.

## boundary

int boundary = $1; shift;

Definition at line 181 of file mkgeo_ugrid.sh.

## corner

int corner = $1; shift;

Definition at line 182 of file mkgeo_ugrid.sh.

## a

int a = $1

Definition at line 183 of file mkgeo_ugrid.sh.

## b

int b = $2

Definition at line 184 of file mkgeo_ugrid.sh.

## h

float h = 1.0*(b-a)/n;

Definition at line 190 of file mkgeo_ugrid.sh.

## c

int c = $3

Definition at line 215 of file mkgeo_ugrid.sh.

## d

int d = $4

Definition at line 216 of file mkgeo_ugrid.sh.

## Algorithm

Algorithm

Definition at line 236 of file mkgeo_ugrid.sh.

## f

int f = $5

Definition at line 279 of file mkgeo_ugrid.sh.

## g

int g = $6

Definition at line 280 of file mkgeo_ugrid.sh.

## dim

int dim = $1; shift

Definition at line 453 of file mkgeo_ugrid.sh.

## usage

str usage = "mkgeo_ugrid [-{eptqTPH}|-tq|-TP|-PH|-TPH] [n] [-{abcdfg} float] [-[no]sides] [-[no]boundary] [-[no]corner] [-order int] [-[no]clean] [-[no]verbose]"

Definition at line 467 of file mkgeo_ugrid.sh.

## clean

clean = true

Definition at line 484 of file mkgeo_ugrid.sh.

## bindir

str bindir = ""

Definition at line 485 of file mkgeo_ugrid.sh.

## order

order = 1

Definition at line 495 of file mkgeo_ugrid.sh.

## var

var

Definition at line 502 of file mkgeo_ugrid.sh.

## expr

str expr = "$var=$2"

Definition at line 504 of file mkgeo_ugrid.sh.

## tmp

str tmp = "/tmp/tmp$$"

Definition at line 530 of file mkgeo_ugrid.sh.

## MSH2GEO

str MSH2GEO = "${bindir}msh2geo"

Definition at line 545 of file mkgeo_ugrid.sh.

## GEO

str GEO = "${bindir}geo"

Definition at line 546 of file mkgeo_ugrid.sh.